import QtQuick 2.5
import QtQuick.Controls 1.4
import QtQuick.Dialogs 1.2

ApplicationWindow {
    visible: true
    width: 800
    height: 600
    title: qsTr("Hello World")

    MainForm {
        anchors.fill: parent
        Canvas
        {
            id: canvas
            height: -100
            width: -100

            renderTarget: Canvas.FramebufferObject

            onPaint:
            {
                var context = canvas.getContext('2d');
            }
        }

        Timer
        {
            interval: 1000
            running: true
            onTriggered: canvas.requestPaint();
        }
    }
}

